diff --git a/doc/src/sgml/release-12.sgml b/doc/src/sgml/release-12.sgml
index 8b668ade0f..e5929f887c 100644
--- a/doc/src/sgml/release-12.sgml
+++ b/doc/src/sgml/release-12.sgml
@@ -21,7 +21,125 @@
    <itemizedlist>
 
     <listitem>
-     <para>big item</para>
+     <para>
+      General performance improvements, including:
+      <itemizedlist>
+       <listitem>
+        <para>
+         Optimizations to space utilization and read/write performance for
+         B-tree indexes that are frequently modified
+        </para>
+       </listitem>
+       <listitem>
+        <para>
+         Partitioning enhancements that include query performance improvements
+         on tables with thousands of partitions, improved performance with
+         <xref linkend="sql-insert"/> and <xref linkend="sql-copy"/>, and the
+         ability to execute <link linkend="sql-altertable">
+         <command>ATTACH PARTITION</command></link> without blocking queries
+        </para>
+       </listitem>
+       <listitem>
+        <para>
+         <link linkend="queries-with">Common table expressions</link>
+         (<acronym>CTE</acronym>) can now be automatically inlined
+        </para>
+       </listitem>
+       <listitem>
+        <para>
+         Reduction of <acronym>WAL</acronym> overhead of
+         <link linkend="gist">GiST</link>, <link linkend="gin">GIN</link>, and
+         <link linkend="spgist">SP-GiST</link> indexes and added support
+         for covering indexes via the <link linkend="sql-createindex">
+         <literal>INCLUDE</literal></link> clause for
+         <link linkend="spgist">SP-GiST</link> indexes
+        </para>
+       </listitem>
+       <listitem>
+        <para>
+         <xref linkend="sql-createstatistics"/> now supports most-common value
+         (MCV) statistics to support improved query plans for columns that are
+         nonuniformly distributed
+        </para>
+       </listitem>
+      </itemizedlist>
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      Enhancements to administrative functionality, including:
+      <itemizedlist>
+       <listitem>
+        <para>
+         Rebuild an index without blocking writes to a table with the
+         <link linkend="sql-reindex">
+         <command>REINDEX CONCURRENTLY</command></link> command
+        </para>
+       </listitem>
+       <listitem>
+        <para>
+         <xref linkend="app-pgchecksums"/> can enable/disable page checksums,
+         used for detecting data corruption, in an offline cluster
+        </para>
+        <para>
+         Progress reporting statistics for <xref linkend="sql-createindex"/>,
+         <xref linkend="sql-reindex"/>, <xref linkend="sql-cluster"/>,
+         <link linkend="sql-vacuum">VACUUM FULL</link>, and
+         <xref linkend="app-pgchecksums"/>
+        </para>
+       </listitem>
+      </itemizedlist>
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+       Support for the <acronym>SQL/JSON</acronym>
+       <link linkend="functions-json-processing-table">path</link> language
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+       Stored <link linkend="sql-createtable">generated columns</link>
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+       Nondeterministic ICU
+       <link linkend="sql-createcollation">collations</link> that enable
+       case-insensitive and accent-insensitive ordering
+     </para>
+    </listitem>
+
+    <listitem>
+     <para>
+      New authentication features, including:
+      <itemizedlist>
+       <listitem>
+        <para>
+         Client and server-side encryption for authentication over the
+         <link linkend="gssapi-auth"><acronym>GSSAPI</acronym></link>
+        </para>
+       </listitem>
+       <listitem>
+        <para>
+         Discovery of LDAP servers if <productname>PostgreSQL</productname> is
+         built with <productname>OpenLDAP</productname>
+        </para>
+       </listitem>
+       <listitem>
+        <para>
+         Support multifactor authentication with the <link linkend="auth-cert">
+         <literal>clientcert=verify-full</literal></link> option when combined
+         with an additional authentication method in
+         <filename>pg_hba.conf</filename>
+        </para>
+       </listitem>
+      </itemizedlist>
+     </para>
     </listitem>
 
    </itemizedlist>
